/* Copyright 2002 Scott Haywood

This file is part of the Label program.

Label is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Label is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Label; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/*
 *
 */

#include "bounds.h"

void Util::getBounds(const vector<Point> &v,
            double *x, double *y, double *w, double *h)
{
	if (v.size() == 0) return;
	double minx, maxx, miny, maxy;
	minx = maxx = v[0].x();
	miny = maxy = v[0].y();
	for (unsigned int i=1; i < v.size(); i++) {
		Point p = v[i];
		double xx = p.x();
		double yy = p.y();
		if (xx < minx) minx = xx;
		if (xx > maxx) maxx = xx;
		if (yy < miny) miny = yy;
		if (yy > maxy) maxy = yy;
	}
	if (x != 0) *x = minx;
	if (y != 0) *y = miny;
	if (w != 0) *w = maxx - minx;
	if (h != 0) *h = maxy - miny;	
}

