/* Copyright 2002 Scott Haywood

This file is part of the Label program.

Label is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Label is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Label; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef BOUNDS_INCLUDED
#define BOUNDS_INCLUDED

/*
 * Util::getBounds produces the rectangular bounds
 * of the given set of points.
 * For example, if the points are
 *   (-1,1) (-1,-2) (1,1)
 * the output values would be 
 *   -1, -2, 2, 3
 */

#include <vector>
#include "point.h"

namespace Util {

void getBounds(const vector<Point> &v,
            double *x, double *y, double *w, double *h);
}

#endif
