/* Copyright 2002 Scott Haywood

This file is part of the Label program.

Label is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Label is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Label; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef OUTLINE_CALLBACK_INCLUDED
#define OUTLINE_CALLBACK_INCLUDED

/*
 *	Implementation details for Outline.
 *	Code which uses Outline need NOT include this file.
 */

#include <vector>
#include "point.h"
#include "outline.h"

class OutlineCallback {
	Outline * m;
	//vector<Point> *v;
	//vector<Outline::PtInfo> *i;
	int index; // current index into the vector of points
	Point center;
	bool startIsSet[8];
	int last[8];
	int currOct; // the section (0-7) of the outline for which we're looking
	
	int OutlineCallback::prevOct(int i) { return (i+7)%8; }
	bool checkType(int type, int oct);
	bool simpleCheck(int type, int oct);
	int checkForward(int type, int oct);

public:
	OutlineCallback(Outline * mp,
	         //vector<Point> *vp,
	         //vector<Outline::PtInfo> *ip,
	         const Point & c)
		 : m(mp), /* v(vp), i(ip), */ index(0), center(c), currOct(0)
	{
		for(int i=0; i<8; i++) {
			startIsSet[i] = false;
			last[i] = -1;
		}	
	}
		
	void operator()(Point p, int type);
	
	void finish();
};

#endif
