/* Copyright 2002 Scott Haywood

This file is part of the Label program.

Label is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Label is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Label; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef LABEL_XMARK_H
#define LABEL_XMARK_H

/****************************************************************
**
** XMark is a QCanvasItem that draws an X
**
****************************************************************/

#include <qcanvas.h>
#include <qpainter.h>


/*
 *	XMark is a QCanvasItem that draws an X.
 */
class XMark : public QCanvasPolygonalItem
{
public:
	XMark(QCanvas *cp, const QPoint & p);
	XMark(QCanvas *cp, double x, double y);
	void drawShape(QPainter & p); // implements QCanvasItem
	QPointArray areaPoints () const; // implements QCanvasItem

private:
	XMark(const XMark &);
    mutable QPointArray pa;
    void setpa() const;
};

#endif LABEL_XMARK_H
