/* Copyright 2002 Scott Haywood

This file is part of the Label program.

Label is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

Label is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Label; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef INCLUDED_OUTLINE_CONSTANTS
#define INCLUDED_OUTLINE_CONSTANTS

namespace OutlineConstants
{

// Parts of the outline.
// Each point is in at least one of these categories.
// Side points have the type MINX, MAXY, MAXX, or MINY.
// Corner-tranversal points have a type of LOHI, HIHI, HILO, or LOLO.
// Corner points, when they exist, have three or more values
// or'd together; for example (MINX | MAXY | LOHI).
enum Type
     { MINX = 1, // x <= any other point
       LOHI = 2, // x <= any MAXY point, y => any MINX point
       MAXY = 4, // y >= any other point
       HIHI = 8, // x >= any MAXY point, y >= any MAXX point
       MAXX = 16, // x >= any other point
       HILO = 32, // x >= any MINY point, y <= any MAXX point
       MINY = 64, // y <= any other point
       LOLO = 128,  // x <= any MINY point, y <= any MINY point
       };

inline int getMask(int oct) { return 1 << oct; }

}
#endif
